Index: extensions/app_diameap/README
===================================================================
--- extensions/app_diameap/README	(revision 425)
+++ extensions/app_diameap/README	(revision 441)
@@ -1,5 +1,5 @@
 DiamEAP (http://diameap.yagami.freediameter.net/)
 
-Copyright (c) 2009-2010 Souheil Ben Ayed, Teraoka Laboratory of Keio University and the WIDE Project.
+Copyright (c) 2009-2010 Souheil Ben Ayed, Teraoka Laboratory of Keio University, and the WIDE Project.
 
 Author: Souheil Ben Ayed <souheil@tera.ics.keio.ac.jp>
@@ -79,6 +79,6 @@
 Example:
 
-Load_plugin = "EAP MD5":4:0:"extensions/app_diameap/plugins/eap_md5.emp":"";
-Load_plugin = "EAP TLS":13:0:"extensions/app_diameap/plugins/eap_tls.emp":"doc/eap_tls_plugin.app_diameap.conf";
+Load_plugin = "EAP MD5":4:0:"extensions/eap_md5.emp":"";
+Load_plugin = "EAP TLS":13:0:"extensions/eap_tls.emp":"doc/eap_tls_plugin.app_diameap.conf";
 
 
Index: extensions/app_diameap/diameap_server.h
===================================================================
--- extensions/app_diameap/diameap_server.h	(revision 438)
+++ extensions/app_diameap/diameap_server.h	(revision 441)
@@ -115,112 +115,3 @@
 int diameap_stop_server(void);
 
-/* Initialize DiamEAP state machine variables
-static int diameap_initialize_diameap_sm(
-		struct diameap_state_machine * diameap_sm,
-		struct diameap_sess_data_sm * diameap_sess_data);
-
- Initialize interface between the diameap and the eap states machines
-static int diameap_initialize_diameap_eap_interface(
-		struct diameap_eap_interface * eap_i);
-
- Parse received message
-static int diameap_parse_avps(struct diameap_state_machine * diameap_sm,
-		struct msg * req, struct diameap_eap_interface * eap_i);
-
- Add an avp to Failed_AVP AVP for answer message
-static int diameap_failed_avp(struct diameap_state_machine * diameap_sm,
-		struct avp * invalidavp);
-
- Parse EAP Response
-static int diameap_parse_eap_resp(struct eap_state_machine * eap_sm,
-		struct eap_packet eappacket);
-
-
-static int diameap_eappacket_new(struct eap_packet * eapPacket,
-		struct avp_hdr * avpdata);
-
-
-static int diameap_sess_data_new(
-		struct diameap_sess_data_sm *diameap_sess_data,
-		struct diameap_state_machine *diameap_sm);
-
-
-static int diameap_unlink_attributes_lists(
-		struct diameap_state_machine * diameap_sm);
-
-
-static int diameap_answer_avp_attributes(
-		struct diameap_state_machine * diameap_sm);
-
-
-static int diameap_answer_authorization_attributes(
-		struct diameap_state_machine * diameap_sm);
-
-static void free_attrib(struct auth_attribute * auth_attrib);
-static void free_avp_attrib(struct avp_attribute * avp_attrib);
-static void free_ans_attrib(struct avp_attribute * ans_attrib);
-
-
-static int diameap_get_avp_attribute(struct fd_list * avp_attributes,
-		char * attribute, struct avp_attribute ** avp_attrib, int unlink,
-		int *ret);
-
-
-static int diameap_get_auth_attribute(struct fd_list * auth_attributes,
-		char * attribute, struct auth_attribute ** auth_attrib, int unlink,
-		int *ret);
-
-
-static int diameap_get_ans_attribute(struct fd_list * ans_attributes,
-		char * attribute, struct avp_attribute ** ans_attrib, int unlink,
-		int *ret);
-
-
-static int diameap_policy_decision(struct diameap_state_machine * diameap_sm,
-		struct diameap_eap_interface eap_i);
-
-
-static int diameap_add_avps(struct diameap_state_machine * diameap_sm,
-		struct msg * ans, struct msg * req);
-
-
-static int diameap_add_user_sessions_avps(
-		struct diameap_state_machine * diameap_sm, struct msg * ans);
-
-
-static int diameap_add_result_code(struct diameap_state_machine * diameap_sm,
-		struct msg * ans, struct session * sess);
-
-
-static int diameap_add_eap_payload(struct diameap_state_machine * diameap_sm,
-		struct msg * ans, struct diameap_eap_interface eap_i);
-
-
-static int diameap_add_authorization_avps(struct diameap_state_machine * diameap_sm,
-		struct msg * ans);
-
-
-static int diameap_send(struct msg ** rmsg);
-
-
-static int diameap_add_eap_success_avps(
-		struct diameap_state_machine * diameap_sm, struct msg * ans,
-		struct diameap_eap_interface eap_i);
-
-
-void diameap_cli_sess_cleanup(void * arg, char * sid);
-
-
-static void diameap_free(struct diameap_state_machine * diameap_sm);
-
-
-static void diameap_sess_data_free(
-		struct diameap_sess_data_sm * diameap_sess_data);
-
-
-static int diameap_add_accounting_eap_auth_method(
-		struct diameap_state_machine * diameap_sm, struct msg * ans);
-
-
-static int diameap_add_eap_reissued_payload(struct msg * ans,struct msg * req);*/
 #endif /* DIAMEAP_SERVER_H_ */
